# eric4.E4XML.ShortcutsHandler

Module implementing the handler class for reading a keyboard shortcuts file.

### Global Attributes

None

### Classes

ShortcutsHandler | Class implementing a sax handler to read a keyboard shortcuts file.

### Functions

None

## ShortcutsHandler

Class implementing a sax handler to read a keyboard shortcuts file.

### Derived from

XMLHandlerBase

### Class Attributes

None

### Class Methods

None

### Methods

ShortcutsHandler | Constructor
endAccel | Handler method for the "Accel" end tag.
endAltAccel | Handler method for the "AltAccel" end tag.
endName | Handler method for the "Name" end tag.
endShortcut | Handler method for the "Shortcut" end tag.
getShortcuts | Public method to retrieve the shortcuts.
getVersion | Public method to retrieve the version of the shortcuts.
startDocumentShortcuts | Handler called, when the document parsing is started.
startShortcut | Handler method for the "Shortcut" start tag.
startShortcuts | Handler method for the "Shortcuts" start tag.

### Static Methods

None

#### ShortcutsHandler (Constructor)

ShortcutsHandler()

Constructor

#### ShortcutsHandler.endAccel

endAccel()

Handler method for the "Accel" end tag.

#### ShortcutsHandler.endAltAccel

endAltAccel()

Handler method for the "AltAccel" end tag.

#### ShortcutsHandler.endName

endName()

Handler method for the "Name" end tag.

#### ShortcutsHandler.endShortcut

endShortcut()

Handler method for the "Shortcut" end tag.

#### ShortcutsHandler.getShortcuts

getShortcuts()

Public method to retrieve the shortcuts.

Returns:
  Dictionary of dictionaries of shortcuts. The keys of the dictionary are the categories, the values are dictionaries. These dictionaries have the shortcut name as their key and a tuple of accelerators as their value.

#### ShortcutsHandler.getVersion

getVersion()

Public method to retrieve the version of the shortcuts.

Returns:
  String containing the version number.

#### ShortcutsHandler.startDocumentShortcuts

startDocumentShortcuts()

Handler called, when the document parsing is started.

#### ShortcutsHandler.startShortcut

startShortcut(attrs)

Handler method for the "Shortcut" start tag.

attrs
  list of tag attributes

#### ShortcutsHandler.startShortcuts

startShortcuts(attrs)

Handler method for the "Shortcuts" start tag.

attrs
  list of tag attributes

Up